Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Class ErrorType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rs.ErrorType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ErrorType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Error Type', and utility methods for working with them.

See Also:
  `RegistryPackage.getErrorType()`

Field Summary
`static int` | `ERROR` The 'Error' literal value.
`static ErrorType` | `ERROR_LITERAL` The 'Error' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Error Type' enumerators.
`static int` | `WARNING` The 'Warning' literal value.
`static ErrorType` | `WARNING_LITERAL` The 'Warning' literal object.

Method Summary
`static ErrorType` | `get(int value)` Returns the 'Error Type' literal with the specified integer value.
`static ErrorType` | `get(java.lang.String literal)` Returns the 'Error Type' literal with the specified literal value.
`static ErrorType` | `getByName(java.lang.String name)` Returns the 'Error Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARNING

    public static final int WARNING

  The 'Warning' literal value.

  If the meaning of 'Warning' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WARNING_LITERAL`, Constant Field Values

### ERROR

    public static final int ERROR

  The 'Error' literal value.

  If the meaning of 'Error' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ERROR_LITERAL`, Constant Field Values

### WARNING_LITERAL

    public static final ErrorType WARNING_LITERAL

  The 'Warning' literal object.

  See Also:
    `WARNING`

### ERROR_LITERAL

    public static final ErrorType ERROR_LITERAL

  The 'Error' literal object.

  See Also:
    `ERROR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Error Type' enumerators.

Method Detail

### get

    public static ErrorType get(java.lang.String literal)

  Returns the 'Error Type' literal with the specified literal value.

### getByName

    public static ErrorType getByName(java.lang.String name)

  Returns the 'Error Type' literal with the specified name.

### get

    public static ErrorType get(int value)

  Returns the 'Error Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD